Back to Topics Directory
Topic Hub

#zlib (21 Repositories)

Ranked open-source repositories tagged with #zlib, scored by pull request acceptance likelihood and maintainer engagement velocity.

Topic Avg Merge Rate

21.4%

Avg Review Latency

9.8h

Filter by language

21 repositories tagged #zlib

A TierC 1.5k

zlib-ng/minizip-ng

Fork of the popular zip manipulation library found in the zlib distribution.

72.7%
Merge Rate
2h
First Review
60%
1st-Timers
10
Maintainers
A TierC 2.1k

zlib-ng/zlib-ng

zlib replacement with optimizations for "next generation" systems.

45.2%
Merge Rate
1h
First Review
75%
1st-Timers
9
Maintainers
A TierOCOCaml 120

mirage/decompress

Pure OCaml implementation of Zlib.

90.0%
Merge Rate
<1h
First Review
100%
1st-Timers
1
Maintainers
B TierNINim 283

guzba/zippy

Pure Nim implementation of deflate, zlib, gzip and zip.

66.7%
Merge Rate
<1h
First Review
100%
1st-Timers
1
Maintainers
B TierC 402

tbeu/matio

MATLAB MAT File I/O Library with support for MATLAB Class Object System

58.3%
Merge Rate
3d
First Review
50%
1st-Timers
4
Maintainers
B TierRust 1.1k

rust-lang/flate2-rs

DEFLATE, gzip, and zlib bindings for Rust

37.5%
Merge Rate
11h
First Review
0%
1st-Timers
4
Maintainers
B TierJavaScript 6.1k

nodeca/pako

high speed zlib port to javascript, works in browser & node.js

80.0%
Merge Rate
-
First Review
100%
1st-Timers
0
Maintainers
B TierC++ 461

ctabin/libzippp

C++ wrapper for libzip

0.0%
Merge Rate
-
First Review
0%
1st-Timers
0
Maintainers
D TierHTML 445

dongyubin/Awesome-Zlibrary

2026年9月更新,Z站官方网站,Z-library,官方Z-lib镜像网址及入口Z-library,官方Z-lib镜像网址及入口

0.0%
Merge Rate
-
First Review
0%
1st-Timers
0
Maintainers
D TierC++ 458

darktable-org/rawspeed

fast raw decoding library

0.0%
Merge Rate
17h
First Review
0%
1st-Timers
4
Maintainers
D TierC++ 372

powturbo/TurboBench

Compression Benchmark

0.0%
Merge Rate
4h
First Review
0%
1st-Timers
1
Maintainers
D TierTypeScript 3.0k

101arrowz/fflate

High performance (de)compression in an 8kB package

0.0%
Merge Rate
5d
First Review
0%
1st-Timers
2
Maintainers
D TierSwift 278

tsolomko/SWCompression

A Swift framework for working with compression, archives and containers.

0.0%
Merge Rate
<1h
First Review
0%
1st-Timers
0
Maintainers
D TierC 466

schnaader/precomp-cpp

Precomp, C++ version - further compress already compressed files

0.0%
Merge Rate
-
First Review
0%
1st-Timers
0
Maintainers
D TierVUVue 642

fy0/Icarus

🕊️ An opensource community/forum project write with python3 aiohttp and vue.js. 一个开源的社区程序

0.0%
Merge Rate
-
First Review
0%
1st-Timers
0
Maintainers
D TierGo 310

pgaskin/kobopatch-patches

Patches for use with kobopatch.

0.0%
Merge Rate
-
First Review
0%
1st-Timers
0
Maintainers
D TierSwift 594

1024jp/GzipSwift

Swift package that enables gzip/gunzip Data using zlib

0.0%
Merge Rate
-
First Review
0%
1st-Timers
0
Maintainers
D TierSwift 302

mw99/DataCompression

Swift libcompression wrapper as an extension for the Data type (GZIP, ZLIB, LZFSE, LZMA, LZ4, deflate, RFC-1950, RFC-1951, RFC-1952)

0.0%
Merge Rate
-
First Review
0%
1st-Timers
0
Maintainers
D TierC++ 865

ObEngine/ObEngine

2D Game Engine with Lua Scripting made on top of SFML !

0.0%
Merge Rate
-
First Review
0%
1st-Timers
0
Maintainers
D TierC++ 1.4k

dscharrer/innoextract

A tool to unpack installers created by Inno Setup

0.0%
Merge Rate
-
First Review
0%
1st-Timers
0
Maintainers
D TierC 711

inikep/lizard

Lizard is an efficient compressor with very fast decompression. It achieves compression ratio that is comparable to zip/zlib and zstd/brotli (at low and medium compression levels) at fast decompression speed

0.0%
Merge Rate
-
First Review
0%
1st-Timers
0
Maintainers